package at.acdp.urweb;

import at.acdp.urweb.web.WebServer;
import org.slf4j.LoggerFactory;

public class Main {
    private final static org.slf4j.Logger logger = LoggerFactory.getLogger(Main.class);

    public static void main(String[] args) {
        Params app = null;
        try {
            app = picocli.CommandLine.populateCommand(new Params(), args);
        } catch (Exception e) {
            System.out.println(e.getMessage());
            picocli.CommandLine.usage(new Params(), System.out);
            System.exit(1);
        }
        try {
            new WebServer(app).start();
        } catch (Exception e) {
            logger.error("Server exited", e);
        }
    }
}
