package at.acdp.urweb.sclient.data;

import at.acdp.urweb.sclient.SecondaryClient;
import at.acdp.urweb.sclient.URLog;
import at.acdp.urweb.sclient.data.Message;
import at.acdp.urweb.sclient.data.VersionMessage;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.IOException;

public class ScReadThread implements Runnable {
    private static final Logger log = LoggerFactory.getLogger(SecondaryClient.class);
    private final String ip;

    SecondaryClient rde;


    public ScReadThread(String ip) {
        this.ip=ip;
    }

    public SecondaryClient getRde() {
        return rde;
    }

    @Override
    public void run() {
        while(true) {
            try {
                read();
            } catch (IOException e) {
                log.warn("read thread terminated", e);
                URLog.add(new Message("read thread terminated", e ));
            }
        }
    }

    private void read() throws IOException {
        rde=new SecondaryClient(ip, 30001);
        VersionMessage vm = rde.connect();
        while(true) {
            rde.readPackage();
        }
    }

    public void writeCmd(String s) {
        if(!s.endsWith("\n"))
            s+="\n";
        log.info("writecmd: \""+s+"\"");
        rde.writeCmd(s);
    }
}
